NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::Subdivision::SelectCageObjectData Class Reference

Represents subdivision cage topology object selection. More...

Inheritance diagram for NXOpen::Features::Subdivision::SelectCageObjectData:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::Features::Subdivision::CageManipulatorData

Public Member Functions

bool CanDeselectObjectsAutomatically ()
 Returns the flag indicating if previously selected objects can be de-selected during selection of new objects. More...
 
void ClearAndAdd (const std::vector< NXOpen::NXObject * > &objects, NXOpen::View *view, const NXOpen::Point3d &point)
 Clears the currently present objects and adds new objects. More...
 
NXOpen::SelectDisplayableObjectListSelectionList ()
 Returns the object list. More...
 
void SetCanDeselectObjectsAutomatically (bool canDeselect)
 Sets the flag indicating if previously selected objects can be de-selected during selection of new objects. More...
 
void SetCursorLocation (const NXOpen::Point3d &point)
 Sets the cursor location in absolute coordinates. More...
 
void SetViewDirection (const NXOpen::Vector3d &direction)
 Sets the view direction. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents subdivision cage topology object selection.


Created in NX9.0.0.

Member Function Documentation

bool NXOpen::Features::Subdivision::SelectCageObjectData::CanDeselectObjectsAutomatically ( )

Returns the flag indicating if previously selected objects can be de-selected during selection of new objects.


Deprecated:
Deprecated in NX11.0.0. There is no replacement for this unused property.


Created in NX9.0.0.

License requirements : None

void NXOpen::Features::Subdivision::SelectCageObjectData::ClearAndAdd ( const std::vector< NXOpen::NXObject * > &  objects,
NXOpen::View view,
const NXOpen::Point3d point 
)

Clears the currently present objects and adds new objects.


Created in NX9.0.0.

License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
objectsObjects to process.
viewSelected object view when selecting a single object.
pointSelected object point when selecting a single object.
NXOpen::SelectDisplayableObjectList* NXOpen::Features::Subdivision::SelectCageObjectData::SelectionList ( )

Returns the object list.


Created in NX9.0.0.

License requirements : None

void NXOpen::Features::Subdivision::SelectCageObjectData::SetCanDeselectObjectsAutomatically ( bool  canDeselect)

Sets the flag indicating if previously selected objects can be de-selected during selection of new objects.


Deprecated:
Deprecated in NX11.0.0. There is no replacement for this unused property.


Created in NX9.0.0.

License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
canDeselectcandeselect
void NXOpen::Features::Subdivision::SelectCageObjectData::SetCursorLocation ( const NXOpen::Point3d point)

Sets the cursor location in absolute coordinates.


Created in NX9.0.0.

License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
pointpoint
void NXOpen::Features::Subdivision::SelectCageObjectData::SetViewDirection ( const NXOpen::Vector3d direction)

Sets the view direction.


Created in NX9.0.1.

License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
directiondirection
virtual bool NXOpen::Features::Subdivision::SelectCageObjectData::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.